VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Funds"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa Funds
Private fundList As New Collection
Private eq As Equities

Private Sub Class_Initialize()
  'Tworzy kolekcję kategorii inwestycji
  fundList.Add New stocks
  fundList.Add New Bonds
  fundList.Add New Mutuals
End Sub
Public Function getFund(i As Integer) As Equities
  'Zwraca wybraną kategorię inwestycji
  If i > 0 And i <= fundList.Count Then
    Set getFund = fundList(i)
  End If
End Function

